/* openurl.library - universal URL display and browser launcher library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Some definitions that need to be visible in both library and handler.
*/

enum { HMT_STARTUP, HMT_AREXX, HMT_LAUNCH };

struct HandlerMsg
{
	struct Message hm_Msg;
	UWORD          hm_Type;
	BOOL           hm_Success;

	union
	{
		struct
		{
			struct SignalSemaphore *hm_semaphore;
			struct MsgPort         *hm_msgport;
		} hm_startup;

		struct
		{
			STRPTR hm_arexxport;
			STRPTR hm_arexxcmd;
		} hm_arexx;
	}
	hm_msgdata;
};

#define hm_Semaphore hm_msgdata.hm_startup.hm_semaphore
#define hm_MsgPort   hm_msgdata.hm_startup.hm_msgport
#define hm_ARexxPort hm_msgdata.hm_arexx.hm_arexxport
#define hm_ARexxCmd  hm_msgdata.hm_arexx.hm_arexxcmd
