/* 
** openurl.library - universal URL display and browser launcher library
** Written by Troels Walsted Hansen <troels@thule.no>
** Placed in the public domain.
**
** Include file for API library functions.
*/

/**************************************************************************
*
* Prototypes.
*
*/

LIB int __UserLibInit(REG(a6) struct Library *OpenURLBase);
LIB void __UserLibCleanup(REG(a6) struct Library *OpenURLBase);
LIB BOOL LIB_URL_OpenA(REG(a0) STRPTR url, REG(a1) struct TagItem *tags);
LIB struct URL_Prefs *LIB_URL_GetPrefs(VOID);
LIB VOID LIB_URL_FreePrefs(REG(a0) struct URL_Prefs *up);
LIB BOOL LIB_URL_SetPrefs(REG(a0) struct URL_Prefs *up, REG(d0) BOOL permanent);
LIB struct URL_Prefs *LIB_URL_GetDefaultPrefs(VOID);
LIB BOOL LIB_URL_LaunchPrefsApp(VOID);
LIB ULONG LIB_DoFunction(REG(a0) struct RexxMsg *rxmsg);

/**************************************************************************
*
* Global variables.
*
*/

extern struct DosLibrary *DOSBase;
extern struct Library *UtilityBase;
extern struct Library *IFFParseBase;
extern struct RxsLib *RexxSysBase;
extern struct URL_Prefs *Prefs;
extern struct SignalSemaphore PrefsSemaphore, HandlerSemaphore;

extern struct Process *HandlerProcess;
extern struct MsgPort *HandlerMsgPort;
